Package com.google.android.exoplayer2

## Class MediaItem.LocalConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.LocalConfiguration

- Direct Known Subclasses:
    `MediaItem.PlaybackProperties`
  Enclosing class:
    MediaItem

      public static class MediaItem.LocalConfiguration
      extends Object

  Properties for local playback.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MediaItem.AdsConfiguration` | `adsConfiguration` | Optional ads configuration.
    `String` | `customCacheKey` | Optional custom cache key (only used for progressive streams).
    `MediaItem.DrmConfiguration` | `drmConfiguration` | Optional `MediaItem.DrmConfiguration` for the media.
    `String` | `mimeType` | The optional MIME type of the item, or `null` if unspecified.
    `List<StreamKey>` | `streamKeys` | Optional stream keys by which the manifest is filtered.
    `ImmutableList<MediaItem.SubtitleConfiguration>` | `subtitleConfigurations` | Optional subtitles to be sideloaded.
    `List<MediaItem.Subtitle>` | `subtitles` | Deprecated. Use `subtitleConfigurations` instead.
    `Object` | `tag` | Optional tag for custom attributes.
    `Uri` | `uri` | The `Uri`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uri

          public final Uri uri

      The `Uri`.

    - #### mimeType

          @Nullable
          public final String mimeType

      The optional MIME type of the item, or `null` if unspecified.

      The MIME type can be used to disambiguate media items that have a URI which does not allow to infer the actual media type.

    - #### drmConfiguration

          @Nullable
          public final MediaItem.DrmConfiguration drmConfiguration

      Optional `MediaItem.DrmConfiguration` for the media.

    - #### adsConfiguration

          @Nullable
          public final MediaItem.AdsConfiguration adsConfiguration

      Optional ads configuration.

    - #### streamKeys

          public final List<StreamKey> streamKeys

      Optional stream keys by which the manifest is filtered.

    - #### customCacheKey

          @Nullable
          public final String customCacheKey

      Optional custom cache key (only used for progressive streams).

    - #### subtitleConfigurations

          public final ImmutableList<MediaItem.SubtitleConfiguration> subtitleConfigurations

      Optional subtitles to be sideloaded.

    - #### subtitles

          @Deprecated
          public final List<MediaItem.Subtitle> subtitles

      Deprecated.
      Use `subtitleConfigurations` instead.

    - #### tag

          @Nullable
          public final Object tag

      Optional tag for custom attributes. The tag for the media source which will be published in the `com.google.android.exoplayer2.Timeline` of the source as `com.google.android.exoplayer2.Timeline.Window#tag`.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`